AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- PubSubProvider

## Index

### Methods

- configure
- getCategory
- getProviderName
- publish
- subscribe

## Methods

### configure

- configure(config: object): object

- - Defined in pubsub/src/types/Provider.ts:18

  #### Parameters

  - ##### config: object

  #### Returns object

### getCategory

- getCategory(): string

- - Defined in pubsub/src/types/Provider.ts:21

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in pubsub/src/types/Provider.ts:24

  #### Returns string

### publish

- publish(topics: string[] | string, msg: any, options?: ProvidertOptions): void

- - Defined in pubsub/src/types/Provider.ts:26

  #### Parameters

  - ##### topics: string[] | string

  - ##### msg: any

  - ##### Optional options: ProvidertOptions

  #### Returns void

### subscribe

- subscribe(topics: string[] | string, options?: ProvidertOptions): Observable<any>

- - Defined in pubsub/src/types/Provider.ts:28

  #### Parameters

  - ##### topics: string[] | string

  - ##### Optional options: ProvidertOptions

  #### Returns Observable<any>